Bullet Collision Detection & Physics Library: Bullet::btMultiBodyDoubleData Class Reference

Bullet Collision Detection & Physics Library

Public Attributes | List of all members
Bullet::btMultiBodyDoubleData Class Reference

`#include <bullet.h>`

Collaboration diagram for Bullet::btMultiBodyDoubleData:
[legend]

## Public Attributes
btVector3DoubleData | m_baseWorldPosition
btQuaternionDoubleData | m_baseWorldOrientation
btVector3DoubleData | m_baseLinearVelocity
btVector3DoubleData | m_baseAngularVelocity
btVector3DoubleData | m_baseInertia
double | m_baseMass
int | m_numLinks
char | m_padding [4]
char * | m_baseName
btMultiBodyLinkDoubleData * | m_links
btCollisionObjectDoubleData * | m_baseCollider

## Detailed Description

Definition at line 1523 of file bullet.h.

## Member Data Documentation

## ◆ m_baseAngularVelocity

btVector3DoubleData Bullet::btMultiBodyDoubleData::m_baseAngularVelocity

Definition at line 1529 of file bullet.h.

## ◆ m_baseCollider

btCollisionObjectDoubleData* Bullet::btMultiBodyDoubleData::m_baseCollider

Definition at line 1536 of file bullet.h.

## ◆ m_baseInertia

btVector3DoubleData Bullet::btMultiBodyDoubleData::m_baseInertia

Definition at line 1530 of file bullet.h.

## ◆ m_baseLinearVelocity

btVector3DoubleData Bullet::btMultiBodyDoubleData::m_baseLinearVelocity

Definition at line 1528 of file bullet.h.

## ◆ m_baseMass

double Bullet::btMultiBodyDoubleData::m_baseMass

Definition at line 1531 of file bullet.h.

## ◆ m_baseName

char* Bullet::btMultiBodyDoubleData::m_baseName

Definition at line 1534 of file bullet.h.

## ◆ m_baseWorldOrientation

btQuaternionDoubleData Bullet::btMultiBodyDoubleData::m_baseWorldOrientation

Definition at line 1527 of file bullet.h.

## ◆ m_baseWorldPosition

btVector3DoubleData Bullet::btMultiBodyDoubleData::m_baseWorldPosition

Definition at line 1526 of file bullet.h.

## ◆ m_links

btMultiBodyLinkDoubleData* Bullet::btMultiBodyDoubleData::m_links

Definition at line 1535 of file bullet.h.

## ◆ m_numLinks

int Bullet::btMultiBodyDoubleData::m_numLinks

Definition at line 1532 of file bullet.h.

## ◆ m_padding

char Bullet::btMultiBodyDoubleData::m_padding[4]

Definition at line 1533 of file bullet.h.

The documentation for this class was generated from the following file:

- bullet.h